%define pkg_name        Class-Delegation
%define pkg_version     1.06
%define rpm_pkg_version 1.06
%define rpm_pkg_release 2.n0i.2

Summary:       Perl Object-oriented delegation
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DC/DCONWAY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
The Class::Delegation module simplifies the creation of delegation-based
class hierarchies, allowing a method to be redispatched to a single
nominated attribute, to a collection of nominated attributes in parallel,
or to any attribute that can handle the message.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path demo/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes demo/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.06-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 1.06-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
